# RPM specfile for metatheme module
# Generated Thu Jul  5 13:35:00 2001 GMT by Ximian build system
# $Id: bb_do,v 1.119 2001/06/22 18:52:47 mike Exp $
# from $Id: helix-build.conf,v 1.1 2001/07/03 14:38:50 peter Exp $

%define nam	metatheme
%define ver	0.6.0

Name:     	metatheme
Version: 	0.6.0
Release:	ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 6.4 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
URL:		http://gnome.org/
Source0:	metatheme-0.6.0.tar.gz
Summary:	theme set management
Group:		X11/Desktop

%description
This is metatheme, a way of managing "theme sets" that accomodate
gtk, your window manager, etc etc.

%files
%defattr(-, root, root)
/opt/gnome/bin/*
/opt/gnome/share/pixmaps/*
/opt/gnome/share/mime-info/metatheme*
/opt/gnome/share/metatheme-glade/*
/opt/gnome/share/locale/*/LC_MESSAGES/*.mo
/opt/gnome/share/gnome/apps/Applications/*.desktop
/opt/gnome/share/gnome/apps/Settings/Desktop/*.desktop
/opt/gnome/share/control-center/Desktop/*.desktop
/opt/gnome/lib/metatheme/plugins/*
/opt/gnome/lib/libmtm*
/opt/gnome/include/mtm/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n metatheme-0.6.0
    ;;
all)
%setup  -q -n metatheme-0.6.0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
